Stake account assets
curl --request GET \
--url https://mainnet.gomaestro-api.org/v1/accounts/{stake_addr}/assets \
--header 'api-key: <api-key>'import requests
url = "https://mainnet.gomaestro-api.org/v1/accounts/{stake_addr}/assets"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://mainnet.gomaestro-api.org/v1/accounts/{stake_addr}/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"unit": "01a67bf1c1b29912b17d53a31fa4b650da2dd136ff24ecc84f452ff047616d654368616e6765724e4654202331",
"amount": 5
},
{
"unit": "01a67bf1c1b29912b17d53a31fa4b650da2dd136ff24ecc84f452ff047616d654368616e6765724e4654202332",
"amount": 6
},
{
"unit": "01a67bf1c1b29912b17d53a31fa4b650da2dd136ff24ecc84f452ff047616d654368616e6765724e4654202333",
"amount": 7
},
{
"unit": "2f7e0f588efe4e2836c829c50619a498ddf5521255bf5e1e9f9f5a1346616b65555344",
"amount": 864
},
{
"unit": "833a41706977b6c54edba264a7ea9dc4390728a05c69cb53d8081df147616d654368616e676572546f6b656ef09f9a80",
"amount": 2
},
{
"unit": "cc5827d01be77807a48d7e3b70a7c32667722bce7957a61ca52f4e0d47616d654368616e676572546f6b656ef09f9a80",
"amount": 70
}
],
"last_updated": {
"timestamp": "2022-10-10 20:25:28",
"block_hash": "27b0866a073a5068bd6a24a009beba68f8951c6bf2ae4c72a734c8566ecabfc2",
"block_slot": 32208940
},
"next_cursor": null
}Accounts
Stake account assets
Get native assets controlled by addresses associated with a specific Cardano stake account.
GET
/
accounts
/
{stake_addr}
/
assets
Stake account assets
Authorizations
Project API Key
Headers
Large numbers returned as strings if set to true
Path Parameters
Bech32 encoded reward/stake address ('stake1...')
Query Parameters
Filter results to only show assets of the specified policy
The max number of results per page
Required range:
x >= 0Pagination cursor string, use the cursor included in a page of results to fetch the next page
Response
A list of assets which are owned by addresses that use the specified stake key
A paginated response. Pass in the next_cursor in a subsequent request as the cursor query parameter to fetch the next page of results.
Was this page helpful?

